メインコンテンツまでスキップ

List Partitions (V2)

この操作は、現在の接続で使用されているデータベース内のすべてのパーティション。

POST/v2/vectordb/partitions/list
接続エンドポイント

https://${CLUSTER_ENDPOINT}

📘ノート
  • ${CLUSTER_ENDPOINT} を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。
  • エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキー、またはコロンで結合したユーザー名とパスワードのペア(例: username:password)である必要があります。

値の例: Bearer {{TOKEN}}
リクエスト・ボディ
dbNamestring

ターゲットデータベースの名前。

collectionNamestring必要

パーティションが属するターゲットコレクションの名前。

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/partitions/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "quick_setup"
}'
レスポンス

パーティション名の一覧。

codeinteger

レスポンスコード。

dataarray

パーティション名の一覧

[]datastring

パーティション名。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": [
"_default"
]
}
Ctrl I